wims (2:4.31+dfsg1-2) unstable; urgency=medium

  * [32a1aed] /var/lib/wims/bin and /var/lib/wims/bases/sys are no longer
    rwx------

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Feb 2026 22:42:56 +0100

wims (2:4.31+dfsg1-1) unstable; urgency=medium

  * added a default file for log/wims.conf
  * [3e01a20] New upstream version 4.31+dfsg1
  * [6db2bc0] fixed debian/series
  * [51c64f0] fixed debian/series
  * [f37e42e] remove macos resource fork files
  * [1b10838] bumped version for debian/watch
  * [6ecf0e9] fixed some file patterns in d/copyright
  * [5a7e5d8] fixed dependencies
  * [aaded92] fixed d/patches/series
  * [946a1ef] remove MacOS store files
  * [68d33d1] changed the dependency gnuplot --> gnuplot-nox
  * [d17eda3] added useless files to filters

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Feb 2026 17:19:32 +0100

wims (2:4.30+dfsg1-1) unstable; urgency=medium

  * [dc8ef02] New upstream version 4.30+dfsg1
  * deleted patch deian/gcc-15.patch, which is applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Jul 2025 17:21:21 +0200

wims (2:4.29a+dfsg1-3) unstable; urgency=medium

  * removed the dependency wims-modules -> ckeditor, since this dependency
    was dropped by upstream developers some time ago. Closes: #1104594

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 May 2025 09:14:49 +0200

wims (2:4.29a+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * bumped Standards-Version: 4.7.2
  * not enforcing the use of gcc-15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2025 16:56:37 +0100

wims (2:4.29a+dfsg1-1) experimental; urgency=medium

  * [09132e0] New upstream version 4.29a+dfsg1
  * new patch d/patches/gcc-15.patch, because "true" and 'false" are reserved
    words with gcc-15. Closes: #1098095
  * enforced the use of gcc-15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2025 10:39:07 +0100

wims (2:4.28+dfsg1-1) unstable; urgency=medium

  * [0f4c1ea] New upstream version 4.28+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 17:15:56 +0100

wims (2:4.27c+dfsg1-1) unstable; urgency=medium

  * [6ba7114] interpreted more tightly the manpage for strcasestr
  * [0d695ee] New upstream version 4.27c+dfsg1
  * updated debian patches, removed some of them as they were applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 May 2024 13:44:57 +0200

wims (2:4.27b+dfsg1-2) unstable; urgency=medium

  * patched file src/Misc/canvasdraw/canvasdraw.c
    Closes: #1066312

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 Mar 2024 16:10:35 +0100

wims (2:4.27b+dfsg1-1) experimental; urgency=medium

  * added the configuration file d/gb.conf for git-build-package
  * the script debian/get/latest-source is no longer used to import new
    upstream version; instead `gbp import-orig` does the job. The upstream
    package is no longer imported under directory wims/, but in ./
    (as in usual packages). Details of those modifications are given in
    d/README.source
  * excluded files which were managed by debian/get/latest-source
    are managed by `gbp import-orig`, thanks to the "filter" feature;
    third-party packages are managed thanks to the "components" feature
  * updated debian patches: removed wims/ for paths, removed also wims/ from
    paths previously defined in the file "Makefile.for.debian"
  * New upstream version 4.27b+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Mar 2024 17:50:09 +0100

wims (2:4.27a+dfsg1-3) unstable; urgency=medium

  * use autoreconf --install to create wims/src/configure
  * improved the clean target in d/rules

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 16:12:31 +0100

wims (2:4.27a+dfsg1-2) unstable; urgency=medium

  * fixed the regexp to mangle package name in debian/watch
  * erased the line below about bookworm_backport

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2023 12:24:10 +0100

wims (2:4.27a+dfsg1-1) unstable; urgency=medium

  [ Jean Charles Delépine ]
  * New upstream release 4.27a+dfsg1 Closes: #1057032
  * Non-maintainer upload.
  * refreshed debian patches
  * terser replace uglifyjs.terser Closes: #1001029
  * remove autoconf from debian rules Closes: #997720
  * add ctime.h to wims_mathml.cc
  * Force MathML=yes
  * add dependency to libwebservice-validator-html-w3c-perl 
    to make SSO CAS working
  * wims-modules: don't fail on postrm if /var/lib/wims is a mount point
  * wims-modules: add dependency to libjs-mootools, jsxgraph, yui-compressor and
    asciidoc-common Closes: #988894
  * wims-modules: add dependency to libjs-edit-area and remove it from
    third-parties
  * wims-modules: depend node-mathjax-full and make a symlink in scripts/js
  * wims-modules: various foundation.sh corrections
  * wims-modules: call foundation.sh from Makefile.for.debian

  [ Georges Khaznadar ]
  * replaced the tilde "~" by a plus sign in the package name.
  * added lintian overrides for source files which triggered lintian errors
    but are human-readable.
  * modified the file tablesort.sh in the debian patches to delete a file which
    is sneaking in with a link to
    https://d2dq2ahtl5zl1z.cloudfront.net/analytics.js, and the
    subdirectory test/ which contains a file with too long lines.
  * modified debian/get-latest-source to remove more sourceless contents from
    the upstream source package
  * patched the Makefile.in files to introduce $(CPPFLAGS) into default
    build commands for C sources.

 -- Jean Charles Delépine <delepine@u-picardie.fr>  Wed, 29 Nov 2023 18:10:09 +0100

wims (2:4.22~dfsg1-2) unstable; urgency=medium

  * new source upload, to reach unstable. Closes: #992427
  * updated source/lintian-overrides, about
    third-parties/foundation-sites-6.6.3 : most errors are due to long
    one liners, which are still human-readable (the source is *not*
    obfuscated).
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/demo/_layouts/default.html which features
    a privacy breach; added a line in debian/rules to remove
    third-parties/tablesort-5.0.2/demo from the debian package
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/test/tape.js which begins with
    a poorly human-readable expression, which was probably blindly copied
    from some other file (the remainder of the file tape.js is *not*
    obfuscated). As this file is part of a tests suite, it is just
    removed from the debian package (in the target `clean` of debian/rules)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Aug 2021 13:36:46 +0200

wims (2:4.22~dfsg1-1) experimental; urgency=medium

  * new upstream version downloaded; checked that there is no
    wims/src/Misc/applets/Lattice directory
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:22:17 +0200

wims (2:4.21f~dfsg1-3) UNRELEASED; urgency=medium

  * modified the file d/get-latest-source to exclude
    wims/src/Misc/applets/Lattice/ which triggered bug #992088,
    in order to download latest upstream sources

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:09:29 +0200

wims (2:4.17b+svn13454~dfsg2-1) unstable; urgency=medium

  * created a Git branch debian/bugfix-992088
  * made a new orig tarball without files
    wims/src/Misc/applets/Lattice/src/LatticeViewer.java and
    wims/src/Misc/applets/Lattice/src/Matrix3D.java
    (the subdirectory wims/src/Misc/applets/Lattice was removed)
    Closes: #992088
  * removed useless directories wims/src/Misc/chemeq/debian and
    wims/src/Misc/units-filter/debian
  * updated the debian patch modifying java builds
  * checked the new build process in a fresh chroot

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Aug 2021 13:28:13 +0200

wims (1:4.21f~dfsg1-2) unstable; urgency=medium

  * created a debian patch to cheat in Wims' tinymce.phtml file;
    its features are now provided by ckeditor which is well packaged
    inside Debian.
  * replaced a dependency: tinymce -> ckeditor; Closes: #987728

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Apr 2021 20:25:42 +0200

wims (1:4.21f~dfsg1-1) unstable; urgency=medium

  * new upstream version 4.21f
  * removed obsolete lintian overrides, and added new ones
  * replaced uglifyjs by js-beautify or uglifyjs.terser
  * removed obsolete java sources
  * added dependencies on libjs-jquery-ui, libjs-marked, libjs-slick
  * improved the scripts "dfsg-scripts"
  * updated Makefiles for debian
  * dropped the empty package wims-java-applets; this package was necessary
    for wims when some features implemented by Joke Evers were implemented
    as java applets; nowadays all of those features are reimplemented in
    javascript; the java source are still part of the upstream source, but
    no longer used, as asserted by e-mails exchanged by wims developers.
    Closes: #987463
  * simplified wims.postinst since there are no longer various apache
    servers in Debian ; removed also wims.templates, wims.config and the
    subdirectory debian/po/

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Apr 2021 18:42:16 +0200

wims (1:4.17b+svn13454~dfsg1-6) unstable; urgency=medium

  * created the line "usr/share/man/man1/flydraw.1.gz" in
    debian/not-installed in order to work around the current bug of debhelper:
    the routine dh_missing warns that usr/share/man/man1/flydraw.1.gz
    is not installed to anywhere, while one can find it under the directory
    debian/flydraw at the end of the build.
    Let us hope that later dh_missing will be fixed, and that it will report
    the false entry in debian/not-installed

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Jan 2021 16:54:11 +0100

wims (1:4.17b+svn13454~dfsg1-5) unstable; urgency=medium

  * added a build-dependency on shtool. Closes: #978922
  * upgraded the build-dependency on debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Jan 2021 12:44:10 +0100

wims (1:4.17b+svn13454~dfsg1-4) unstable; urgency=medium

  * patched the file wims/src/Misc/symtext/symtext.h to add external
    declarations, for variables appearing more than once. Closes: #966874
  * updated debhelper -> debhelper-compat (=12), Standards-Version: 4.5.0
  * removed build-dependencies default-jdk, ant since JARs are no longer
    necessary

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Aug 2020 19:02:57 +0200

wims (1:4.17b+svn13454~dfsg1-3) unstable; urgency=medium

  * added a line in d/wims.postinst to create CSS files during the
    configuration.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 20 Apr 2020 17:29:45 +0200

wims (1:4.17b+svn13454~dfsg1-2) unstable; urgency=medium

  * upgraded java level to 1.8. Build errors are cleared for .jar files.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Apr 2020 16:48:11 +0200

wims (1:4.17b+svn13454~dfsg1-1) unstable; urgency=medium

  * added $(shell dpkg-buildflags --export=cmdline) to configure's
    call, to auto-reconfigure the package before building it.
  * changes for gcc-10: fixed the compilation problems regarding
    many variables, which were found as multiply declared by gcc-10
    compiler. Most cases could be fixed by using extern clauses.
    Closes: #957934
  * new transition upstream version, dismissing some debian paches
  * updated/removed debian patches
  * moved dependencies from package wims to package wims-modules: now
    wims modules depends on a few libjs-* packages, which Closes: #915015.
  * removed the dependency on mootools, since it is no longer used in wims'
    tree

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Apr 2020 15:10:36 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog flydraw`.
